__author__     = "Aaron Straup Cope"
__url__        = "http://aaronland.info/python/w5"
__version__    = "1.0a8"
__cvsversion__ = "$Revision: 1.2 $"
__date__       = "$Date: 2004/11/09 15:15:52 $"
__copyright__  = "%s\n%s\n%s" % \
                 ("This application is licensed under the",
                  "Creative Commons Attribution-NonCommercial License",
                  "http://creativecommons.org/licenses/by-nc/1.0/")

__license__    = "This application is licensed under the Creative \
Commons Attribution-NonCommercial License. To view a copy of this \
license, visit http://creativecommons.org/licenses/by-nc/1.0/ or send \
a letter to Creative Commons, 559 Nathan Abbott Way, Stanford, \
California 94305, USA."

# $Id: rPanel.py,v 1.2 2004/11/09 15:15:52 asc Exp $

import wx
from rConstants import DIM_BORDER

class rPanel(wx.Panel):

    def __init__(self,parent, id):

        wx.Panel.__init__(self,parent, id)
        self.Image = None

        wx.EVT_PAINT(self, self.OnPaint)

    def Display(self, image):
        self.Image = image
        self.Refresh(True)

    def OnPaint(self, evt):

        if self.Image:

	   img_x  = self.Image.GetWidth()
	   img_y  = self.Image.GetHeight()

	   dc = wx.PaintDC(self)
           dc.SetBrush(wx.Brush("#000000"))
	   
	   # 3/7 should be computed somewhere...

	   dc.DrawRectangle(0,0,
			    img_x + (DIM_BORDER * 2),
			    img_y + (DIM_BORDER * 2))

           dc.DrawBitmap(self.Image.ConvertToBitmap(), DIM_BORDER, DIM_BORDER)

#	   print "FOO"
#	   print dc.GetSize()
#	   print "BAR"
