# $Id: setup.py,v 1.2 2004/11/09 15:15:52 asc Exp $

from distutils.core import setup
from sys import platform
from os import geteuid
from os.path import join
from pwd import getpwuid

dest = getpwuid(geteuid())[5]

if platform == 'darwin':
    import py2app
    buildstyle = 'app'
    dest       = join(dest,'Desktop')

elif platform == 'win32':
    import py2exe
    buildstyle = 'windows'

else :
    raise Exception, "unsupported platform : %s" % platform

setup(app = ['w5-client.py'],
      options = dict(py2app=dict(
	    # the parsers/serializers
	    # are imported at runtime
	    packages   = ['rdflib'],
	    dist_dir   = dest,
	    compressed = True,
	    )),
      )
